import * as $dara from '@darabonba/typescript';
export declare class DescribeSavingsPlanEstimationResponseBody extends $dara.Model {
    committedAmount?: string;
    currency?: string;
    instanceTypeFamily?: string;
    instanceTypeFamilyGroup?: string;
    offeringType?: string;
    period?: number;
    periodUnit?: string;
    planType?: string;
    requestId?: string;
    resourceId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
